刚装上最新node,npm install报这个错误!求ndoe大神解答!!!


npm -v和node-v都可以打印出来
但是 npm install就报错!

  1. run npm config get proxy看看拿到什么

  2. 如果上面的返回不为空,npm config set proxy null或者npm config delete proxy ,顺便把https的代理也关掉npm config set https-proxy null, 证书问题,把证书的校验关掉npm config set strict-ssl false, 当然上面的命令你不用全敲一遍,根据报错信息提示,选择对应的解决方式, 然后再试试

  3. 如果1的命令为空,检查你的环境变量里面是不是有HTTP_PROXY

  4. 是不是开了全局的代理

电脑是不是开了代理,导致证书不被npm信任。建议你关掉代理,使用淘宝镜像源试下
npm install -g express --registry=https://registry.npm.taobao.org

网络问题,建议使用cnpm

网络问题
1.使用淘宝源(cnpm)
2.vpn ss

发表评论

电子邮件地址不会被公开。 必填项已用*标注